/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Encodes map source file into map data file.
 *
 * "$Id: map_encode.c,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include "map_util.h"


/*!
 * Encodes map source file into map data file.
 */
int
main( int argc, char** argv )
{
	if ( argc != 3 ) {
		fprintf( stderr, "usage: map_encode infile outfile.\n" );
		return EXIT_FAILURE;
	}

	if ( map_check_and_save_datafile( argv[1], argv[2] ) != 0 ) {
		fprintf( stderr, "Failed to encode map source file.\n" );
		return EXIT_FAILURE;
	}

	return EXIT_SUCCESS;
}


/* End of map_encode.c */
