/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file of sound library related functions.
 *
 * This is the header file of sound library related functions.
 * Function definition here is independent of the platform.
 * When you don't define WIN32 macro, platform independent function
 * definitions will be linked to the OSS ( Open Sound System ) related 
 * sound library ( RLoss.h and related files ) by #define keyword 
 * and linking with "rlib_oss" prefixed files.
 *
 * $Id: RLsound.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $
 */

#ifndef ___RL_SOUND_H_INCLUDED_
#define ___RL_SOUND_H_INCLUDED_


#ifndef WIN32

#include "RLoss.h"

#define RLsoundContext        RLossContext

#define rlib_sound_initialize rlib_oss_initialize
#define rlib_sound_load_wave  rlib_oss_load_wave
#define rlib_sound_play       rlib_oss_play
#define rlib_sound_stop       rlib_oss_stop
#define rlib_sound_stop_all   rlib_oss_stop_all
#define rlib_sound_shutdown   rlib_oss_shutdown

#endif /* WIN32 */


#endif /* ___RL_SOUND_H_INCLUDED_ */

/* End of RLsound.h */
