/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file defines common things of enemy type entity.
 *
 * "$Id: enemy.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___ENEMY__H_INCLUDED_
#define ___ENEMY__H_INCLUDED_


#include "RLgt.h"
#include "RLsound.h"
#include "entity.h"


/*!
 * @brief Enemy type.
 */
typedef enum
{
	ENEMY_BALL,
	ENEMY_MISSILER,
	ENEMY_SCULL,
	ENEMY_FORTRESS,
	ENEMY_FLYER
}
EnemyType;


void enemy_init( Entity* enemy, RLgtApp* app, RLsoundContext* sound, EnemyType type, RLrect* screen );


#include "_enemy_inner.h"


#endif /* ___ENEMY_H_INCLUDED_ */

/* End of enemy.h */
