/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file of map data utilities.
 *
 * "$Id: map_util.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___MAP_UTIL_H_INCLUDED_
#define ___MAP_H_INCLUDED_


#define MAP_ROW_NUM    48
#define MAP_COL_NUM    60

#define MAP_HEAD_SIZE  13
#define MAP_DATA_SIZE  ( 60 * 48 )
#define MAP_CSUM_SIZE  1
#define MAP_FILE_SIZE  ( MAP_HEAD_SIZE + MAP_DATA_SIZE + MAP_CSUM_SIZE )
#define MAP_FILE_MAGIC "SPACEMAZE_MAP"


int map_check_and_load_datafile( char* file_name, unsigned char* buf );
int map_check_and_save_datafile( char* infile, char* outfile );


#endif /* ___MAP_UTIL_H_INCLUDED_ */

/* End of map_util.c */
