/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file defines common things of missile type entity.
 *
 * "$Id: missile.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___MISSILE__H_INCLUDED_
#define ___MISSILE__H_INCLUDED_


#include "RLlist.h"
#include "RLrect.h"
#include "entity.h"


/*!
 * @brief Missile type.
 */
typedef enum
{
	MISSILE_MINE,
	MISSILE_CANNON,
	MISSILE_RIPPLE,
	MISSILE_FIREBOMB,
	MISSILE_DOUGHNUT,
	MISSILE_LASER
}
MissileType;


void missile_init( Entity* missile, RLgtApp* app, MissileType type, RLrect* screen );
void missile_explode( Entity* missile );

void missile_launch_single_shot( RLgtApp* app, RLlist* missiles, MissileType type, 
  RLrect* screen, double launch_x, double launch_y, double dir_x, double dir_y );

void missile_launch_three_way( RLgtApp* app, RLlist* missiles, MissileType type, 
  RLrect* screen, double launch_x, double launch_y, double dir_x, double dir_y );

void missile_launch_blast( RLgtApp* app, RLlist* missiles, MissileType type, 
  RLrect* screen, double launch_x, double launch_y );


#include "_missile_inner.h"


#endif /* ___MISSILE_H_INCLUDED_ */

/* End of missile.h */
