/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file of the space ship entity.
 *
 * "$Id: spaceship.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___SPACESHIP_H_INCLUDED_
#define ___SPACESHIP_H_INCLUDED_


#include "RLgt.h"
#include "RLrect.h"
#include "RLsound.h"
#include "entity.h"


#define SPACESHIP_WIDTH  40
#define SPACESHIP_HEIGHT 40


void spaceship_init( Entity* spaceship, RLgtApp* app, RLsoundContext* sound, RLrect* screen );
void spaceship_demo_init( Entity* spaceship, RLgtApp* app, RLsoundContext* sound, RLrect* screen );
void spaceship_set_event_handler( Entity* spaceship );
void spaceship_reflect( Entity* spaceship, Entity* enemy );
void spaceship_decrease_energy( Entity* spaceship, int amount );
int  spaceship_check( Entity* spaceship, RLrect* rect, double* vx, double* vy );
void spaceship_update( Entity* spaceship, Entity* dummy );
void spaceship_draw( Entity* spaceship );


#endif /* ___SPACESHIP_H_INCLUDED_ */

/* End of spaceship.h */
