/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Resource header file.
 *
 * "$Id: resource.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___RESOURCE_H_INCLUDED_
#define ___RESOURCE_H_INCLUDED_


#define MAX_IMAGE_COUNT  103

/* Indexes to refer to loaded png images. */
#define INDEX_IMAGE_TITLE         0
#define INDEX_IMAGE_TITLE_INFO    1
#define INDEX_IMAGE_START_NOFOCUS 2
#define INDEX_IMAGE_START_FOCUS   3
#define INDEX_IMAGE_START_EFFECT  4
#define INDEX_IMAGE_LEVEL_START   5
#define INDEX_IMAGE_EXIT_NOFOCUS  6
#define INDEX_IMAGE_EXIT_FOCUS    7
#define INDEX_IMAGE_PAUSE         8
#define INDEX_IMAGE_TIME0         9
#define INDEX_IMAGE_TIME1         10
#define INDEX_IMAGE_TIME2         11
#define INDEX_IMAGE_TIME3         12
#define INDEX_IMAGE_NOITEM        13
#define INDEX_IMAGE_BLOCK0        14
#define INDEX_IMAGE_BLOCK1        15
#define INDEX_IMAGE_BLOCK2        16
#define INDEX_IMAGE_BLOCK3        17
#define INDEX_IMAGE_BLOCK4        18
#define INDEX_IMAGE_GAMEOVER      19
#define INDEX_IMAGE_KEY_BLONZE    20
#define INDEX_IMAGE_KEY_SILVER    21
#define INDEX_IMAGE_KEY_GOLD      22
#define INDEX_IMAGE_LEVEL0        23
#define INDEX_IMAGE_LEVEL1        24
#define INDEX_IMAGE_LEVEL2        25
#define INDEX_IMAGE_CLEAR         26
#define INDEX_IMAGE_CONTINUE      27
#define INDEX_IMAGE_GO_BACK       28
#define INDEX_IMAGE_BACK_NOFOCUS  29
#define INDEX_IMAGE_BACK_FOCUS    30
#define INDEX_IMAGE_SAVE_NOFOCUS  31
#define INDEX_IMAGE_SAVE_FOCUS    32
#define INDEX_IMAGE_LOAD_NOFOCUS  33
#define INDEX_IMAGE_LOAD_FOCUS    34
#define INDEX_IMAGE_LOAD_EFFECT   35
#define INDEX_IMAGE_LOAD_FAIL     36
#define INDEX_IMAGE_SAVE_DONE     37
#define INDEX_IMAGE_SAVE_FAIL     38
#define INDEX_IMAGE_EVACUATE      39
#define INDEX_IMAGE_DESTROY       40
#define INDEX_IMAGE_SAVE_GALAXY   41
#define INDEX_IMAGE_EXPLOSION_S   42
#define INDEX_IMAGE_EXPLOSION_M   43
#define INDEX_IMAGE_EXPLOSION_L   44
#define INDEX_IMAGE_EXPLOSION_G   45
#define INDEX_IMAGE_COPYRIGHT     46
#define INDEX_IMAGE_CONGRATULATE  47
#define INDEX_IMAGE_THANKYOU      48
#define INDEX_IMAGE_TOTALTIME     49
#define INDEX_IMAGE_RANK          50
#define INDEX_IMAGE_RANK_S        51
#define INDEX_IMAGE_RANK_A        52
#define INDEX_IMAGE_RANK_B        53
#define INDEX_IMAGE_RANK_C        54
#define INDEX_IMAGE_NUMBERS0_0    55
#define INDEX_IMAGE_NUMBERS0_1    56 
#define INDEX_IMAGE_NUMBERS0_2    57
#define INDEX_IMAGE_NUMBERS0_3    58
#define INDEX_IMAGE_NUMBERS0_4    59
#define INDEX_IMAGE_NUMBERS0_5    60
#define INDEX_IMAGE_NUMBERS0_6    61
#define INDEX_IMAGE_NUMBERS0_7    62
#define INDEX_IMAGE_NUMBERS0_8    63
#define INDEX_IMAGE_NUMBERS0_9    64
#define INDEX_IMAGE_NUMBERS0_DM   65
#define INDEX_IMAGE_NUMBERS1_0    66
#define INDEX_IMAGE_NUMBERS1_1    67
#define INDEX_IMAGE_NUMBERS1_2    68
#define INDEX_IMAGE_NUMBERS1_3    69
#define INDEX_IMAGE_NUMBERS1_4    70
#define INDEX_IMAGE_NUMBERS1_5    71
#define INDEX_IMAGE_NUMBERS1_6    72
#define INDEX_IMAGE_NUMBERS1_7    73
#define INDEX_IMAGE_NUMBERS1_8    74
#define INDEX_IMAGE_NUMBERS1_9    75
#define INDEX_IMAGE_NUMBERS1_DM   76 
#define INDEX_IMAGE_NUMBERS2_0    77
#define INDEX_IMAGE_NUMBERS2_1    78
#define INDEX_IMAGE_NUMBERS2_2    79
#define INDEX_IMAGE_NUMBERS2_3    80
#define INDEX_IMAGE_NUMBERS2_4    81
#define INDEX_IMAGE_NUMBERS2_5    82
#define INDEX_IMAGE_NUMBERS2_6    83
#define INDEX_IMAGE_NUMBERS2_7    84
#define INDEX_IMAGE_NUMBERS2_8    85
#define INDEX_IMAGE_NUMBERS2_9    86
#define INDEX_IMAGE_NUMBERS2_DM   87
#define INDEX_IMAGE_NUMBERS3_0    88
#define INDEX_IMAGE_NUMBERS3_1    89
#define INDEX_IMAGE_NUMBERS3_2    90
#define INDEX_IMAGE_NUMBERS3_3    91
#define INDEX_IMAGE_NUMBERS3_4    92
#define INDEX_IMAGE_NUMBERS3_5    93
#define INDEX_IMAGE_NUMBERS3_6    94
#define INDEX_IMAGE_NUMBERS3_7    95
#define INDEX_IMAGE_NUMBERS3_8    96
#define INDEX_IMAGE_NUMBERS3_9    97
#define INDEX_IMAGE_NUMBERS3_DM   98 
#define INDEX_IMAGE_NUMBERS0      99
#define INDEX_IMAGE_NUMBERS1      100
#define INDEX_IMAGE_NUMBERS2      101
#define INDEX_IMAGE_NUMBERS3      102


#define MAX_WAVE_COUNT 13

/* Indexes to refer to loaded wave data. */
#define INDEX_WAVE_CLICK      0
#define INDEX_WAVE_ESC        1
#define INDEX_WAVE_PAUSE      2
#define INDEX_WAVE_SELECT     3
#define INDEX_WAVE_CLEAR      4
#define INDEX_WAVE_START      5
#define INDEX_WAVE_GETKEY     6
#define INDEX_WAVE_DAMAGE     7
#define INDEX_WAVE_DOUGHNUT   8
#define INDEX_WAVE_EXPLOSION  9
#define INDEX_WAVE_MISSILE    10
#define INDEX_WAVE_SHOT       11
#define INDEX_WAVE_SUSPEND    12


#endif /* ___RESOURCE_H_INCLUDED_ */

/* End of resource.h */
