/*
 * Copyright (c) 2002-2005 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Error code used in RLIB.
 *
 * $Id: RLerrno.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $
 */

#ifndef ___RLERRNO_H_INCLUDED_
#define ___RLERRNO_H_INCLUDED_

#define RLIB_ERR               ( -1)    /* Library function failed */
#define RLIB_ENOENT            ( -2)    /* No such entry */
#define RLIB_ENOMEM            ( -3)    /* No memory available */
#define RLIB_EFAULT            ( -4)    /* Null pointer specified as args */
#define RLIB_EBUSY             ( -5)    /* Busy */
#define RLIB_EEXIST            ( -6)    /* Already exists */
#define RLIB_EINVAL            ( -7)    /* Invalid value */
#define RLIB_ENOSPC            ( -8)    /* No more space */
#define RLIB_ETOOLONG          ( -9)    /* Too long value */
#define RLIB_EFMT              (-10)    /* Invalid format */
#define RLIB_ENOP              (-11)    /* No operation */
#define RLIB_ENOFILE           (-12)    /* No file exists */
#define RLIB_EOF               (-13)    /* End of file */
#define RLIB_ENOTSUPPORTED     (-14)    /* Not supported */
#define RLIB_ESYSCALL          (-15)    /* System call failed */
#define RLIB_EMODE             (-16)    /* Invalid mode */
#define RLIB_ENOTSTARTED       (-17)    /* Not started */
   

#endif /* ___RLERRNO_H_INCLUDED_ */

/* End of RLerrno.h */
