/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file of functions that handle rectangles.
 *
 * $Id: RLrect.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $
 */

#ifndef ___RLRECT_H_INCLUDED_
#define ___RLRECT_H_INCLUDED_


/*!
 * @brief Rectangle.
 */
typedef struct {
	int lefttop_x;  /*!< Left top x. */
	int lefttop_y;  /*!< Left top y. */
	int width;      /*!< Rectangle width.  */
	int height;     /*!< Rectangle height. */
}
RLrect;


#define RLRECT_COPY( dst, src ) { \
        (dst)->lefttop_x = (src)->lefttop_x; \
        (dst)->lefttop_y = (src)->lefttop_y; \
        (dst)->width     = (src)->width; \
        (dst)->height    = (src)->height; \
}


void rlib_rect_init( RLrect* rect_ptr, int lefttop_x, int lefttop_y, int width, int height );
int  rlib_rect_within( RLrect* rect_ptr, int x, int y );
int  rlib_rect_within_low( int lefttop_x, int lefttop_y, int width, int height, int x, int y );
int  rlib_rect_overlap( RLrect* rect1_ptr, RLrect* rect2_ptr );


#endif /* ___RLRECT_H_INCLUDED_ */

/* End of RLrect.h */
